View Issue Details

IDProjectCategoryView StatusLast Update
0016400FPCFCLpublic2014-02-17 16:31
Reporterbefelemepeseveze Assigned ToMichael Van Canneyt  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformx86-64OSUbuntu 
Product Version2.5.1 
Target Version2.6.4Fixed in Version2.6.4 
Summary0016400: Unicode category membership checking functions
DescriptionAFAIK such or equivalent functions are not ATM available in the FPC RTL/FCL. Attached unit for a possible review by the dev team if someone gets interested/time permits.
Tagsunicode
Fixed in Revision
FPCOldBugId
FPCTarget
Attached Files

Relationships

related to 0014598 resolvedPaul Ishenin No Unicode TCharacter Class 

Activities

2010-05-04 16:33

 

befelemepeseveze

2010-05-08 19:07

reporter   ~0037368

I'm very sorry, it seems that the Boolean evaluation short-circuit enforcement and checking is broken (it was added only before submitting and I forgot to test it properly).

In the attached unit:

{$mode objfpc}{$H+}{$B+}

should be just:

{$mode objfpc}{$H+}

and the check:

{$ifopt B-}
{$fatal Must be compiled in boolean short circuit mode)}
{$endif}

should read:

{$ifopt B+}
{$fatal Must be compiled in boolean short circuit mode }
{$endif}

Hope it's right this time. Apologies for any inconveniences.

Marco van de Voort

2013-03-17 21:43

manager   ~0066342

Is this functionality part of character.pas ?

Michael Van Canneyt

2014-02-08 14:22

administrator   ~0072943

This functionality is now in the character unit, TCharacter record, Delphi compatible.

Issue History

Date Modified Username Field Change
2010-05-04 16:33 befelemepeseveze New Issue
2010-05-04 16:33 befelemepeseveze File Added: unicodecategories.pas.tar.gz
2010-05-08 19:07 befelemepeseveze Note Added: 0037368
2010-05-09 13:53 Florian Relationship added related to 0014598
2013-01-22 12:06 Reinier Olislagers Tag Attached: unicode
2013-03-17 21:43 Marco van de Voort Note Added: 0066342
2014-02-08 14:22 Michael Van Canneyt Assigned To => Michael Van Canneyt
2014-02-08 14:22 Michael Van Canneyt Status new => assigned
2014-02-08 14:22 Michael Van Canneyt Note Added: 0072943
2014-02-08 14:22 Michael Van Canneyt Status assigned => resolved
2014-02-08 14:22 Michael Van Canneyt Resolution open => fixed
2014-02-08 14:23 Michael Van Canneyt Fixed in Version => 2.6.4
2014-02-08 14:23 Michael Van Canneyt Target Version => 2.6.4